stages:
  - build

variables:
  KUBECTL_VERSION: "1.15.0"

container_image_build:
  stage: build
  image:
    name: gcr.io/kaniko-project/executor:debug
    entrypoint: [""]
  before_script:
    - echo "{\"auths\":{\"${CI_REGISTRY}\":{\"username\":\"${CI_REGISTRY_USER}\",\"password\":\"${CI_REGISTRY_PASSWORD}\"}}}" > /kaniko/.docker/config.json
  script:
    - /kaniko/executor
      --context ${CI_PROJECT_DIR}
      --build-arg KUBECTL_VERSION=${KUBECTL_VERSION}
      --dockerfile ${CI_PROJECT_DIR}/Dockerfile
      --destination ${CI_REGISTRY_IMAGE}:${KUBECTL_VERSION}
      --destination ${CI_REGISTRY_IMAGE}:latest
      ${KANIKO_EXTRA_ARG}
  tags:
    - private
    - docker
    - kubernetes
    - amd64
  only:
    - master
